Description

 highlighted_note.png 

In the issue, linked notes are visually emphasized.

I often use the link to the wiki section so I would like the section to be emphasized just like Issue.

Related issues:

Related to Redmine - Feature #22978: Links to issue notes should highlight th... Closed

Associated revisions

Revision 17244 - 2018-03-29 02:30 - Go MAEDA

Links to wiki headings should highlight the linked heading (#28330).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-03-14 01:58 - Go MAEDA

- Related to Feature #22978: Links to issue notes should highlight the linked note added

#2 - 2018-03-14 02:28 - Go MAEDA

Mizuki ISHIKAWA wrote:

In the issue, linked notes are visually emphasized.

 It was implemented by #22978 for Redmine 4.0.0.

#3 - 2018-03-14 02:35 - Mizuki ISHIKAWA

- File highlighted-section.png added

<screenshot>

 highlighted-section.png 

I think that you can emphasize the section by the following style.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 369526a9a..8f4fd665f 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -551,6 +551,10 @@ table#time-report .hours-dec { font-size: 0.9em; }

 div.wiki-page .contextual a {opacity: 0.4}

 div.wiki-page .contextual a:hover {opacity: 1}

+div.wiki a:target + h1, div.wiki a:target + h2, div.wiki a:target + h3, div.wiki a:target + h4, div.wiki a:ta

rget + h5, div.wiki a:target + h6 {

+  background-color:#DDEEFF;

+}

+

 .wiki-update-info {text-align:right; color:#666; font-size:90%;}

 form .attributes select { width: 60%; }
#4 - 2018-03-14 03:41 - Go MAEDA

It is another topic that should not be discussed in this issue, but I think it would be even better to highlight replies in forums.

#5 - 2018-03-26 16:18 - Go MAEDA

- Target version set to 4.0.0

Setting target version to 4.0.0 for consistency with #22978.

#6 - 2018-03-29 02:23 - Go MAEDA

- Subject changed from The link to the wiki section should highlight the linked section as well as the issue's note to Links to wiki headings should

highlight the linked heading

#7 - 2018-03-29 02:31 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
